package main

import (
	"database/sql"
	"fmt"

	_ "github.com/lib/pq"
)

const (
	host     = "localhost"
	port     = 5432
	user     = "postgres"
	password = "verysafepassword"
	dbname   = "aistuff"
)

func main() {
	psqlInfo := fmt.Sprintf("host=%s port=%d user=%s "+
		"password=%s dbname=%s sslmode=disable",
		host, port, user, password, dbname)

	db, err := sql.Open("postgres", psqlInfo)
	if err != nil {
		panic(err)
	}
	defer db.Close()
	fmt.Println("Starting server on :8000!")

    //TODO check if file structure exists to save data

	handle := NewHandler(db)


	// TODO Handle this in other way
    handle.staticFiles("/styles/", ".css", "text/css");
    handle.staticFiles("/js/", ".js", "text/javascript");
    handle.readFiles("/imgs/", "views", ".png", "image/png;");
    handle.readFiles("/savedData/", ".", ".png", "image/png;");

	handle.GetHTML("/", AnswerTemplate("index.html", nil, 0))

    usersEndpints(db, handle)
    handleModelsEndpoints(handle)

	handle.Startup()
}
